diff -ruN /usr/ports/net/freeswitch/Makefile freeswitch/Makefile
--- /usr/ports/net/freeswitch/Makefile	2009-08-27 14:31:46.000000000 -0600
+++ freeswitch/Makefile	2009-08-31 12:56:57.000000000 -0600
@@ -2,18 +2,18 @@
 # Date created: Augets 9, 2009
 # Whom: Richard Neese <r.neese@gmail.com>
 #
-# $FreeBSD: ports/net/freeswitch/Makefile,v 1.2 2009/08/27 20:31:46 miwi Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	freeswitch
-PORTVERSION=	1.0.4.2
+PORTVERSION=	1.0.4.3
 CATEGORIES=	net
 MASTER_SITES=	http://files.freeswitch.org/:source1 \
 		http://dl.getdropbox.com/u/152504/:source2 \
 		http://www.freeswitch.org/eg/:source3
 DISTNAME=	${PORTNAME}-${PORTVERSION}
 DISTFILES=	pizza_gram.tar.gz:source1 \
-		freeswitch-1.0.4.2.tar.gz:source2 \
+		freeswitch-1.0.4.3.tar.gz:source2 \
 		pizza_sounds.tar.gz:source3 \
 		freeswitch-sounds-en-us-callie-8000-1.0.11.tar.gz:source1 \
 		freeswitch-sounds-en-us-callie-16000-1.0.11.tar.gz:source1 \
@@ -59,7 +59,9 @@
 		MODPOCKETSPHINX	"Enable mod_pockectsphinx (voice control)" on \
 		MODCIDLOOKUP	"Enable mod_cidlookup" on \
 		MODDPDIRECTORY	"Enable mod_dialplan_directory" on \
+		MODDINGALING    "Enable mod_dingaling(google talk)" on \
 		MODEASYROUTE	"Enable mod_easyroute(routeing tool)" on \
+		MODERLANGEVENT  "Enable mod_erlang_event (Call Center Dist)" off \
 		MODFAX		"Enable mod_fax" on \
 		MODLCR		"Enable mod_lcr (least cost routing)" on \
 		MODSOUNDTOUCH	"Enable mod_soundtouch" on \
@@ -326,6 +328,18 @@
 PLIST_SUB+=	WITH_MODNIBBLEBILL=""
 .endif
 
+.if !defined(WITH_MODDINGALING)
+ PLIST_SUB+=	WITH_MODDINGALING="@comment "
+.else
+PLIST_SUB+=	WITH_MODDINGALING=""
+.endif
+
+.if !defined(WITH_MODERLANGEVENT)
+PLIST_SUB+=	WITH_MODERLANGEVENT="@comment "
+.else
+PLIST_SUB+=	WITH_MODERLANGEVENT=""
+.endif
+
 pre-configure:
 	@cd ${WRKSRC} && ./bootstrap.sh
 	@${CP} ${WRKSRC}/build/modules.conf.in ${WRKSRC}/modules.conf
@@ -453,6 +467,14 @@
 	@${REINPLACE_CMD} -e 's|#applications/mod_nibblebill|applications/mod_nibblebill|g' ${WRKSRC}/modules.conf
 .endif
 
+.if defined(WITH_MODDINGALING)
+	${REINPLACE_CMD} -e 's|#endpoints/mod_dingaling|endpoints/mod_dingaling|g' ${WRKSRC}/modules.conf
+.endif
+
+.if defined(WITH_MODERLANGEVENT)
+	@${REINPLACE_CMD} -e 's|#event_handlers/mod_erlang_event|event_handlers/mod_erlang_event|g' ${WRKSRC}/modules.conf
+.endif
+
 post-patch:
 	@${GREP} -Rl '/bin/bash' ${WRKSRC} | \
 		${XARGS} ${REINPLACE_CMD} -e 's|/bin/bash|${LOCALBASE}/bin/bash|g'
@@ -493,8 +515,4 @@
 	@${TAR} -xzvf ${DISTDIR}/pizza_sounds.tar.gz -C ${LOCALBASE}/${PORTNAME}/sounds/en/us
 .endif
 
-.if ${OSVERSION} < 700000
-IGNORE=		it's to unsupported before FreeBSD 7.X
-.endif
-
 .include <bsd.port.post.mk>
diff -ruN /usr/ports/net/freeswitch/README freeswitch/README
--- /usr/ports/net/freeswitch/README	1969-12-31 17:00:00.000000000 -0700
+++ freeswitch/README	2009-08-31 12:55:46.000000000 -0600
@@ -0,0 +1,11 @@
+IF you need mod_erlang_event. For right now you have to 
+
+manualy install erlang-lite  in /usr/ports/lang/erlang-lite.
+
+then come back to freeswitch and make the port and choose 
+
+mod_erlang_event in the menu options.
+
+Once the erlang port is fixed to build with other ports this
+
+will be done automaticly.
diff -ruN /usr/ports/net/freeswitch/distinfo freeswitch/distinfo
--- /usr/ports/net/freeswitch/distinfo	2009-08-27 14:31:46.000000000 -0600
+++ freeswitch/distinfo	2009-08-30 14:23:36.000000000 -0600
@@ -1,9 +1,9 @@
 MD5 (pizza_gram.tar.gz) = dc10f21c8d6bd708b7deae9f18a82b92
 SHA256 (pizza_gram.tar.gz) = e713406834ba40fe07c69b84f042fcb27493c15bc6b51133418527bc7a818027
 SIZE (pizza_gram.tar.gz) = 1053
-MD5 (freeswitch-1.0.4.2.tar.gz) = ce3d8e75856cb1304afba50e489f1651
-SHA256 (freeswitch-1.0.4.2.tar.gz) = f9417e557c7111a6a3f3d9c33270a34c504d8f6bb948f414b4d4274a1d73b5aa
-SIZE (freeswitch-1.0.4.2.tar.gz) = 57086208
+MD5 (freeswitch-1.0.4.3.tar.gz) = 05572d867c25b23b4dcdaae096e71cbd
+SHA256 (freeswitch-1.0.4.3.tar.gz) = 6e3adaf153d63eea7ad127978886cecc9b09d0f952675f2dccc2c12e38a2b8d2
+SIZE (freeswitch-1.0.4.3.tar.gz) = 57172620
 MD5 (pizza_sounds.tar.gz) = dacfde8879da8dd0e0542069e5cba6a2
 SHA256 (pizza_sounds.tar.gz) = 606f736625b7f331e219e10460029c8e0b0e58136feeddde976a0dcc68a97bef
 SIZE (pizza_sounds.tar.gz) = 1498679
diff -ruN /usr/ports/net/freeswitch/pkg-plist freeswitch/pkg-plist
--- /usr/ports/net/freeswitch/pkg-plist	2009-08-27 14:31:46.000000000 -0600
+++ freeswitch/pkg-plist	2009-08-31 05:42:55.000000000 -0600
@@ -301,12 +301,16 @@
 %%WITH_MODDPDIRECTORY%%freeswitch/mod/mod_dialplan_directory.so
 freeswitch/mod/mod_dialplan_xml.la
 freeswitch/mod/mod_dialplan_xml.so
+%%WITH_MODDINGALING%%freeswitch/mod/mod_dingaling.la
+%%WITH_MODDINGALING%%freeswitch/mod/mod_dingaling.so
 freeswitch/mod/mod_dptools.la
 freeswitch/mod/mod_dptools.so
 %%WITH_MODEASYROUTE%%freeswitch/mod/mod_easyroute.la
 %%WITH_MODEASYROUTE%%freeswitch/mod/mod_easyroute.so
 freeswitch/mod/mod_enum.la
 freeswitch/mod/mod_enum.so
+%%WITH_MODERLANGEVENT%%freeswitch/mod/mod_erlang_event.la
+%%WITH_MODERLANGEVENT%%freeswitch/mod/mod_erlang_event.so
 freeswitch/mod/mod_esf.la
 freeswitch/mod/mod_esf.so
 %%WITH_MODMULTICAST%%freeswitch/mod/mod_event_multicast.la
